<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    "use strict";

    // Kiểm tra một biến có phải mảng hay không
    function checkArray(paraArray){
        var result = Array.isArray(paraArray);
        return result;
    }

    // Trả về phần tử thứ n của mảng
    function returnElemtentN(paraN){
        var a = [1,2,3,4,5,6];
        return a[paraN];
    }
    // Đổi chổ 2 phần tử trong mảng
    function replaceAandB(paraA,paraB){
        var c = paraA;
        paraA = paraB;
        paraB = c;
    }
    // Sắp xếp giá trị các phần tử của mảng theo thứ tự tăng dần
    function sapXepTangDan(){
        var a = [3,8,7,6,5,-4,-3,2,1];
        var temp = a[0];
        for(var i =0; i< a.length; i++){
            for(var j = i+1;j<a.length; j++){
                if(a[i]> a[j]){
                   temp = a[j];
                   a[j] = a[i];
                   a[i] = temp;
                }
            }
        }
        console.log(a);

    }

    // Trả về vị trí của phần tử thứ n trong mảng(tìm phần tử có trong mảng)
    function TraVeViTriPhanTuN(paraN){
        var vMang = [1,2,3,4,5,6];
        return vMang.indexOf(paraN);
    }

    // Nối 2 mảng với nhau để tạo thành một mảng mới

    function ConCat2Array(){
        var a= [1,2,3];
        var b = [4,5,6];
        var c = a.concat(b);
        console.log(c);

    }
    // Lọc một mảng trả ra một mảng chứa các phần tử có giá trị (số hoặc chuỗi)
    function FilterArray(){
        var a = [NaN, 0, 15, false, -22, '',undefined, 47, null];
        console.log(a);
        var valueToRemove = [NaN, false, '',undefined, null];

        var b = a.filter(item => !valueToRemove.includes(item));
        console.log(b);

    }
    // Bỏ phần tử có giá trị bằng n trong mảng cho trước

    function PopANumberInArray(paraN){
        var a = [2, 5, 9, 6,1,3,4,7,8,10];
        console.log(a);
       var b = a.filter(item => item !== paraN);
        console.log(b);
    }
    // Lấy random một phần tử bất kỳ trong mảng
    function LayRamDomPhanTuTrongMang(){
        var vramdom = Math.floor(Math.random() * 9);
        var a = [1,2,3,4,5,6,7,8,9];
        return a[vramdom];

    }
    // Tạo một mảng gồm x phần tử có giá trị y
    function taoMangXGiaTriY(paraMang,paraY){
        var a = new Array(paraMang);
        for(var  i =0; i < a.length; i ++){
            a[i] = paraY;
        }
        console.log(a);
    }

    // Tạo một mảng gồm y số liên tiếp bắt đầu từ giá trị x

    function TaoMangYsoLienTiep(paraX,paraY){
        var vLength = paraY - paraX;
        var vArray  = new Array(vLength);
        for(var i = 0; i < vArray.length; i ++){
            vArray[i] = paraX + i;
        }
        vArray.push(paraY);
        console.log(vArray);
    }


</script>
</html>